Debian Bug report logs - #557218
nexuiz-data does not fit on a single CD

version graph

Package: nexuiz-data; Maintainer for nexuiz-data is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for nexuiz-data is src:nexuiz-data.

Reported by: Stefano Zacchiroli <zack@debian.org>

Date: Fri, 20 Nov 2009 13:06:02 UTC

Severity: normal

Found in version nexuiz-data/2.5.2-1

Fixed in version nexuiz-data/2.5.2-3

Done: Bruno "Fuddl" Kleinert <fuddl@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#557218; Package nexuiz-data. (Fri, 20 Nov 2009 13:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Fri, 20 Nov 2009 13:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: debian-devel@lists.debian.org, debian-cd@lists.debian.org
Cc: submit@bugs.debian.org
Subject: nexuiz-data does not fit on a single CD
Date: Fri, 20 Nov 2009 14:00:18 +0100
[Message part 1 (text/plain, inline)]
Package: nexuiz-data
Version: 2.5.2-1
Severity: serious

Any reason for not reporting this as a proper bug? Doing that with this
post.

On Fri, Nov 20, 2009 at 10:36:10AM +0000, Steve McIntyre wrote:
> Umm...
> 
> Package: nexuiz-data
> Installed-Size: 782252

Dear maintainer,
  the Debian CD team (in the person of Steve McIntyre) has noted the
enormous size of nexuiz-data, which means the package won't fit on a
single CD. I'm setting severity serious because this de facto means the
package cannot be distributed to our CD users. I agree that the severity
can be controversial since we have other ways of distributing packages;
feel free to downgrade, better if after discussion with the release team
(even better by reducing the size ;-))

Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Severity set to 'normal' from 'serious' Request was from Philipp Kern <pkern@debian.org> to control@bugs.debian.org. (Fri, 20 Nov 2009 14:42:04 GMT) Full text and rfc822 format available.

Severity set to 'important' from 'normal' Request was from Stefano Zacchiroli <zack@debian.org> to control@bugs.debian.org. (Fri, 20 Nov 2009 14:57:02 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 21 Nov 2009 07:06:05 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Gerfried Fuchs <rhonda@debian.at> to control@bugs.debian.org. (Sat, 21 Nov 2009 19:06:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#557218; Package nexuiz-data. (Sat, 21 Nov 2009 20:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bruno Kleinert <fuddl@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 21 Nov 2009 20:12:04 GMT) Full text and rfc822 format available.

Message #18 received at 557218@bugs.debian.org (full text, mbox):

From: Bruno Kleinert <fuddl@tauware.de>
To: 557218@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#557218: nexuiz-data does not fit on a single CD
Date: Sat, 21 Nov 2009 20:40:20 +0100
[Message part 1 (text/plain, inline)]
Am Freitag, den 20.11.2009, 14:00 +0100 schrieb Stefano Zacchiroli:
> Dear maintainer,
>   the Debian CD team (in the person of Steve McIntyre) has noted the
> enormous size of nexuiz-data, which means the package won't fit on a
> single CD. I'm setting severity serious because this de facto means the
> package cannot be distributed to our CD users. I agree that the severity
> can be controversial since we have other ways of distributing packages;
> feel free to downgrade, better if after discussion with the release team
> (even better by reducing the size ;-))
Reducing its overall size isn't that easy without breaking the game
itself or triggering other bugs.

I've split the binary package nexuiz-data into nexuiz-data
+nexuiz-textures which is currently waiting in NEW. ATM both packages
are below the size of a CD-ROM. I hope this will solve the problem!

Sorry that I didn't realize that issue myself before uploading that huge
"beast" ;)

Cheers - Fuddl
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#557218; Package nexuiz-data. (Sun, 22 Nov 2009 00:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Stefano Zacchiroli <zack@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 22 Nov 2009 00:21:03 GMT) Full text and rfc822 format available.

Message #23 received at 557218@bugs.debian.org (full text, mbox):

From: Stefano Zacchiroli <zack@debian.org>
To: 557218@bugs.debian.org
Subject: Re: nexuiz-data does not fit on a single CD
Date: Sun, 22 Nov 2009 01:16:59 +0100
[Message part 1 (text/plain, inline)]
On Fri, Nov 20, 2009 at 03:51:55PM +0100, Stefano Zacchiroli wrote:
> severity 557218 important

JFTR, when I set this severity, I meant to _downgrade_ the severity from
RC, rather than to _upgrade_ it from normal. In fact, I had missed back
then, the severity normal set by Phil a few minutes before (either due
to mail lag in the BTS, or more simply due to a missing reload on my
side).

Thanks to Rhonda, I've discovered this misunderstanding on IRC.

BTW, the rationale from my initially high severity was because I
personally consider a serious issue for a package not to be able to be
delivered to users that are still bound to use CDs. As long as we have
CDs as a medium to distribute our distro, I believe we should be able to
make packages fit on them. But of course it is not my call, and Rhonda
is right in stating that it is written nowhere that packages should
actually fit on CDs. My main point was raising the attention on this
issue.

As far as this bug is concerned, and as long as there is no specific
decision on the matter, feel free to set the severity of this bug to
what pleases the maintainer.

And of course thanks to Bruno which has worked on the package split,
this bug will be fixed/moot any time soon apparently.

Sorry for the noise,
Cheers.

-- 
Stefano Zacchiroli -o- PhD in Computer Science \ PostDoc @ Univ. Paris 7
zack@{upsilon.cc,pps.jussieu.fr,debian.org} -<>- http://upsilon.cc/zack/
Dietro un grande uomo c'è ..|  .  |. Et ne m'en veux pas si je te tutoie
sempre uno zaino ...........| ..: |.... Je dis tu à tous ceux que j'aime
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#557218; Package nexuiz-data. (Tue, 24 Nov 2009 16:57:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bruno Kleinert <fuddl@tauware.de>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Tue, 24 Nov 2009 16:57:07 GMT) Full text and rfc822 format available.

Message #28 received at 557218@bugs.debian.org (full text, mbox):

From: Bruno Kleinert <fuddl@tauware.de>
To: 557218@bugs.debian.org
Cc: Stefano Zacchiroli <zack@debian.org>
Subject: Re: Bug#557218: nexuiz-data does not fit on a single CD
Date: Tue, 24 Nov 2009 17:54:51 +0100
[Message part 1 (text/plain, inline)]
Am Sonntag, den 22.11.2009, 01:16 +0100 schrieb Stefano Zacchiroli:
> BTW, the rationale from my initially high severity was because I
> personally consider a serious issue for a package not to be able to be
> delivered to users that are still bound to use CDs. As long as we have
> CDs as a medium to distribute our distro, I believe we should be able to
> make packages fit on them. But of course it is not my call, and Rhonda
> is right in stating that it is written nowhere that packages should
> actually fit on CDs. My main point was raising the attention on this
> issue.
From my point of view, that argument is absolutely valid so there's no
reason to apologize ;)

> As far as this bug is concerned, and as long as there is no specific
> decision on the matter, feel free to set the severity of this bug to
> what pleases the maintainer.
> 
> And of course thanks to Bruno which has worked on the package split,
> this bug will be fixed/moot any time soon apparently.
If it had not been quite easy to split the package, I'd preferred to
blacklist it for CD-ROMs because of the assumption that the user's
computer is likely to be too outdated/old to enjoy nexuiz anyways.

> Sorry for the noise,
No it's OK! Thanks for pointing out that obvious "bug" I didn't realize
*selfslap* ;)

Cheers - Fuddl
[signature.asc (application/pgp-signature, inline)]

Reply sent to Bruno "Fuddl" Kleinert <fuddl@debian.org>:
You have taken responsibility. (Wed, 25 Nov 2009 19:12:59 GMT) Full text and rfc822 format available.

Notification sent to Stefano Zacchiroli <zack@debian.org>:
Bug acknowledged by developer. (Wed, 25 Nov 2009 19:12:59 GMT) Full text and rfc822 format available.

Message #33 received at 557218-close@bugs.debian.org (full text, mbox):

From: Bruno "Fuddl" Kleinert <fuddl@debian.org>
To: 557218-close@bugs.debian.org
Subject: Bug#557218: fixed in nexuiz-data 2.5.2-3
Date: Wed, 25 Nov 2009 19:05:35 +0000
Source: nexuiz-data
Source-Version: 2.5.2-3

We believe that the bug you reported is fixed in the latest version of
nexuiz-data, which is due to be installed in the Debian FTP archive:

nexuiz-data_2.5.2-3.debian.tar.gz
  to main/n/nexuiz-data/nexuiz-data_2.5.2-3.debian.tar.gz
nexuiz-data_2.5.2-3.dsc
  to main/n/nexuiz-data/nexuiz-data_2.5.2-3.dsc
nexuiz-data_2.5.2-3_all.deb
  to main/n/nexuiz-data/nexuiz-data_2.5.2-3_all.deb
nexuiz-music_2.5.2-3_all.deb
  to main/n/nexuiz-data/nexuiz-music_2.5.2-3_all.deb
nexuiz-textures_2.5.2-3_all.deb
  to main/n/nexuiz-data/nexuiz-textures_2.5.2-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 557218@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bruno "Fuddl" Kleinert <fuddl@debian.org> (supplier of updated nexuiz-data package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 20 Nov 2009 19:58:30 +0100
Source: nexuiz-data
Binary: nexuiz-data nexuiz-textures nexuiz-music
Architecture: source all
Version: 2.5.2-3
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Bruno "Fuddl" Kleinert <fuddl@debian.org>
Description: 
 nexuiz-data - Nexuiz game data files
 nexuiz-music - Nexuiz music files
 nexuiz-textures - Textures for Nexuiz
Closes: 557218
Changes: 
 nexuiz-data (2.5.2-3) unstable; urgency=low
 .
   * Convert to debian format 3.0 quilt
     * Drop build dependency on quilt
     * Purge quilt calls from rules file
   * Correct URLs in Vcs-* fields in the control file, since I moved this package
     into Git
   * Ship textures in the binary package nexuiz-textures. This reduces the size
     of nexuiz-data and we can... (Closes: #557218)
Checksums-Sha1: 
 b3c8f1bb09276a671376e16e5aa69fafa716ddc7 1424 nexuiz-data_2.5.2-3.dsc
 f9c7243caaa5b32fd14a033ca2b61102affcd918 5804 nexuiz-data_2.5.2-3.debian.tar.gz
 b6b4b2b3ef2faaba7207f4d0232d495574c8fa92 272847708 nexuiz-data_2.5.2-3_all.deb
 3d516087d7da436a16a70268b72bc3420cb45001 520552512 nexuiz-textures_2.5.2-3_all.deb
 d8aae80f734cfb1952ad923f581a2794277233cb 87442296 nexuiz-music_2.5.2-3_all.deb
Checksums-Sha256: 
 b43e8fc55bc16d2fdb7c7ee4433990226a1733c0bdb182d1f3be3647d38ed371 1424 nexuiz-data_2.5.2-3.dsc
 1d4aa9186702bcec9afae7b9c124b578354a375907d8bf46742dde8eea4e149e 5804 nexuiz-data_2.5.2-3.debian.tar.gz
 440a3adaceff338ca74e7f63d28a57d97ed1b1504c8280326cbea7d7f86a2d78 272847708 nexuiz-data_2.5.2-3_all.deb
 d7a245edb7c8aab11b043c2f19ae0d8811b3c3a8e2d3a3ba9590f3155cd01483 520552512 nexuiz-textures_2.5.2-3_all.deb
 e86b6034ba5f476ddb84e265bc15d43447be64313097a8921b9ce2d798e5198c 87442296 nexuiz-music_2.5.2-3_all.deb
Files: 
 e39293b357d1aceee84b8fb66d46fd8f 1424 games optional nexuiz-data_2.5.2-3.dsc
 ba2bdcf9e6f7f7d4f98ce199dabe8fd5 5804 games optional nexuiz-data_2.5.2-3.debian.tar.gz
 9f10d3c0fc10a3c29906b5fd5a01a04a 272847708 games optional nexuiz-data_2.5.2-3_all.deb
 8e759d72940e4f33198445b80972767f 520552512 games optional nexuiz-textures_2.5.2-3_all.deb
 3ec72b5432a094f903631d2a62ff3232 87442296 games optional nexuiz-music_2.5.2-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAksHI6gACgkQurEs8MfFj3wdRQCggXEY3qrsApopS9rKDKClAwQI
ewkAoLB8nJfi5rUoWxoGJYrmCVjdlP6d
=SxXu
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 04 Jan 2010 07:31:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 13:47:30 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.